<?php

namespace Drupal\state_log;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Class StateLogServiceProvider.
 *
 * @package Drupal\state_log
 */
class StateLogServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $definition = $container->getDefinition('state');
    $definition->setClass('Drupal\state_log\StateLog');
    $definition->setArguments(
      [
        new Reference('keyvalue'),
        new Reference('config.factory'),
      ]
    );
  }

}
